# copy

abstract fun copy(closure: Closure): WorkResult

Copy the specified files. The given closure is used to configure a org.gradle.api.file.CopySpec, which is then used to copy the files. Example:

    copy {
       from configurations.runtimeClasspath
       into 'build/deploy/lib'
    }

Content copied to clipboard
Note that CopySpecs can be nested:

    copy {
       into 'build/webroot'
       exclude '**/.svn/**'
       from('src/main/webapp') {
          include '**/*.jsp'
          filter(ReplaceTokens, tokens:[copyright:'2009', version:'2.3.1'])
       }
       from('src/main/js') {
          include '**/*.js'
       }
    }

Content copied to clipboard

#### Return

org.gradle.api.tasks.WorkResult that can be used to check if the copy did any work.

#### Parameters

closure

Closure to configure the CopySpec